package com.sjkj.appthreefloor_tsgz.adapter;


import android.content.Context;

import com.sjkj.appthreefloor_tsgz.R;
import com.sjkj.appthreefloor_tsgz.databinding.ItemCameraListLayoutBinding;
import com.sjkj.base_lib.adapter.BaseRecAdapter;
import com.sjkj.base_lib.camera.dh.bean.CameraBean;

import java.util.List;

public class CameraAdapter extends BaseRecAdapter<CameraBean, ItemCameraListLayoutBinding> {

    public CameraAdapter(Context context) {
        super(context);
    }

    public CameraAdapter(Context context, List<CameraBean> list) {
        super(context, list);
    }

    @Override
    protected int getLayoutResId(int viewType) {
        return R.layout.item_camera_list_layout;
    }

    @Override
    protected void onBindItem(ItemCameraListLayoutBinding binding, CameraBean listBean, int position) {
        binding.setBean(listBean);
        binding.executePendingBindings();
    }
}
